<?php
require_once(dirname(__FILE__).'../../../config/config.inc.php');
require_once(dirname(__FILE__).'../../../init.php');

/* Check security token */

if (substr(Tools::encrypt('ippanelsms/cron'), 0, 10) != Tools::getValue('token') || !Module::isInstalled('ippanelsms')) die('bad token!');

if (!defined('_PS_VERSION_')) {
   die('Get Error!');
}
$starttime = time();
$output = '';
$totalcount = 0;
$sentcount = 0;
$faildcount = 0;
require_once('ippanelsms.php');
$ippanelsms = new IppanelSms;
$logs = $ippanelsms->getLogs($page = 0, $onpage = 'cron', $bulk = null, $phone = null, $customer = null, $order = null, $position = null, $shop_id = null, $status = 'queue');
$ippanelsms->cronpass = true;
foreach ($logs as $log)
{
	$totalcount++;
	$result = $ippanelsms->sendOne($log['description'], $log['phone'], $log['customer'], $log['id_order'], $log['position']);
	if($result == 'sent'){
		Db::getInstance()->delete($ippanelsms->name, 'smsid = '.$log['smsid'], 1);
		$output .= 'sent: '.$log['description'].' to: '.$log['phone']."\n";
		$sentcount++;
	}else{
		$output .= 'Not Sent: '.$log['description'].' to: '.$log['phone']."\n";
		$faildcount++;
	}
	
	
}
$ippanelsms->debug($output, 'cron');
$endtime = time();
$durationtime = $endtime - $starttime;
Configuration::updateValue('IPPANEL_SMS_CronLastRunTime' , $starttime);
Configuration::updateValue('IPPANEL_SMS_CronLastRunDuration' , $durationtime);
print 'Total: '.$totalcount."<br>";
print 'Sent: '.$sentcount."<br>";
print 'Failed: '.$faildcount."<br>";